> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Dismiss a recommendation

> Marks a recommendation as dismissed by the user.



## OpenAPI

````yaml https://api.endaoment.org/oas-json put /v1/recommendations/{id}/dismiss
openapi: 3.0.0
info:
  title: Endaoment API
  description: The official Endaoment API endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags: []
paths:
  /v1/recommendations/{id}/dismiss:
    put:
      tags:
        - Recommendations
      summary: Dismiss a recommendation
      description: Marks a recommendation as dismissed by the user.
      operationId: RecommendationsController_dismissRecommendation
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the recommendation to dismiss
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Recommendation successfully dismissed
        '401':
          description: User is not authenticated
        '404':
          description: Recommendation not found
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````